use bevy::prelude::*;

pub const MAP_SIZE: u32 = 1000;
pub const MAP_WIDTH: u32 = MAP_SIZE / 2;

pub const NEAR_LIMIT: f32 = (MAP_WIDTH as f32) * 0.8;

pub const RIGHT: Vec2 = Vec2::new(NEAR_LIMIT, 0.0);
pub const LEFT: Vec2 = Vec2::new(-NEAR_LIMIT, 0.0);
pub const TOP: Vec2 = Vec2::new(0.0, NEAR_LIMIT);
pub const BOTTOM: Vec2 = Vec2::new(0.0, -NEAR_LIMIT);

pub const UP_DIR: Vec2 = Vec2::new(0.0, 1.0);
pub const RIGHT_DIR: Vec2 = Vec2::new(1.0, 0.0);

#[derive(Resource)]
pub struct MapBounds {
    pub min: Vec2,
    pub max: Vec2,
}
